# na_ontap_lun_map – NetApp ONTAP LUN maps

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Map and unmap LUNs on NetApp ONTAP.

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules support Data ONTAP 9.1 and onward
- Ansible 2.6
- Python2 netapp-lib (2017.10.30) or later. Install using ‘pip install netapp-lib’
- Python3 netapp-lib (2018.11.13) or later. Install using ‘pip install netapp-lib’
- To enable http on the cluster you must run the following commands ‘set -privilege advanced;’ ‘system services web modify -http-enabled true;’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname string / required |  | The hostname or IP address of the ONTAP instance.
http_port integer |  | Override the default port (80 or 443) with this port

https
boolean

Choices:
- no ←
- yes

Enable and disable https

initiator_group_name - / required |  | Initiator group to map to the given LUN.
lun_id - |  | LUN ID assigned for the map.
ontapi integer |  | The ontap api version to use
password string / required |  | Password for the specified user. aliases: pass
path - / required |  | Path of the LUN..

state
-

Choices:
- present ←
- absent

Whether the specified LUN should exist or not.

use_rest
string

Choices:
- Never
- Always
- Auto ←

REST API if supported by the target system for all the resources and attributes the module requires. Otherwise will revert to ZAPI.
Always -- will always use the REST API
Never -- will always use the ZAPI
Auto -- will try to use the REST Api

username string / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `False` used on personally controlled sites using self-signed certificates.

vserver - / required |  | The name of the vserver to use.

## Notes

Note

- The modules prefixed with na\_ontap are built to support the ONTAP storage platform.

## Examples

    - name: Create LUN mapping
      na_ontap_lun_map:
        state: present
        initiator_group_name: ansibleIgroup3234
        path: /vol/iscsi_path/iscsi_lun
        vserver: ci_dev
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

    - name: Unmap LUN
      na_ontap_lun_map:
        state: absent
        initiator_group_name: ansibleIgroup3234
        path: /vol/iscsi_path/iscsi_lun
        vserver: ci_dev
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
lun_naa_id string | success | The Network Address Authority (NAA) identifier for the LUN. Sample: 600a0980383045372f5d4c5a70315474
lun_node string | success | NetApp controller that is hosting the LUN. Sample: node01
lun_ostype string | success | Specifies the OS of the host accessing the LUN. Sample: vmware
lun_serial string | success | A unique, 12-byte, ASCII string used to identify the LUN. Sample: 80E7/]LZp1Tt
lun_size integer | success | Size of the LUN in bytes. Sample: 2199023255552
lun_state string | success | Online or offline status of the LUN. Sample: online

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.